let corpusId = {{ corpus.hashid|tojson }};
let corpusFileList = new PublicCorpusFileList(document.querySelector('.corpus-file-list'));
corpusFileList.add({{ corpus_files|tojson }});

let unfollowRequestElement = document.querySelector('.action-button[data-action="unfollow-request"]');
unfollowRequestElement.addEventListener('click', () => {
  Requests.corpora.entity.followers.entity.delete(corpusId, currentUserId)
    .then((response) => {
      window.location.href = {{ url_for('main.dashboard')|tojson }};
    });
});
